<?php

namespace App\Enums;

enum VehicleType: string
{
    case TWO_WHEELER = "two_wheeler";
    case FOUR_WHEELER = "four_wheeler";
    case OTHER = "other";


    /**
     * Get all vehicle type values
     */
    public static function values(): array {
        return array_column(self::cases(), 'value');
    }
}